include Listado.pug
include Datos.pug

block variables

+CabeceraFormulario(Titulo || "")
div.row
    if ClassDiv1
        div(class= ClassDiv1)
            div.card.shadow
                div.card-header
                    +TituloListado(TituloListado || "")
                div.card-body
                    +BuscadorListado
                    +TablaListado(CabeceraListado || [], TamanoColeccion || 0, PaginaActual || 0, TamanoPagina || 1)
                div.card-footer.text-right
                    +PieListado(CantidadListado || 0)
    else
        div.col-12.col-lg-6
            div.card.shadow
                div.card-header
                    +TituloListado(TituloListado || "")
                div.card-body
                    +BuscadorListado
                    +TablaListado(CabeceraListado || [], TamanoColeccion || 0, PaginaActual || 0, TamanoPagina || 1)
                div.card-footer.text-right
                    +PieListado(CantidadListado || 0)
    if ClassDiv2
        div(class= ClassDiv2)
            div.card.shadow
                div.card-header
                    +TituloDatos(TituloDatos || "")
                div.card-body
                    +ContenidoDatos
                div.card-footer
                    +PieDatos
    else
        div.col-12.col-lg-6
            div.card.shadow
                div.card-header
                    +TituloDatos(TituloDatos || "")
                div.card-body
                    +ContenidoDatos
                div.card-footer
                    +PieDatos